Package com.enonic.xp.index

## Class PathIndexConfig

- java.lang.Object
- - com.enonic.xp.index.PathIndexConfig

- All Implemented Interfaces:
    `Comparable<PathIndexConfig>`

      @PublicApi
      public class PathIndexConfig
      extends Object
      implements Comparable<PathIndexConfig>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PathIndexConfig.Builder` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Comparator<PathIndexConfig>` | `COMPARATOR` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(PathIndexConfig o)` |
    `static PathIndexConfig.Builder` | `create()` |
    `boolean` | `equals​(Object o)` |
    `IndexConfig` | `getIndexConfig()` |
    `PropertyPath` | `getPath()` |
    `int` | `hashCode()` |
    `boolean` | `matches​(PropertyPath dataPath)` |
    `boolean` | `matches​(String testPath)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPARATOR

          public static final Comparator<PathIndexConfig> COMPARATOR

  - ### Method Detail

    - #### matches

          public boolean matches​(PropertyPath dataPath)

    - #### matches

          public boolean matches​(String testPath)

    - #### getPath

          public PropertyPath getPath()

    - #### getIndexConfig

          public IndexConfig getIndexConfig()

    - #### create

          public static PathIndexConfig.Builder create()

    - #### compareTo

          public int compareTo​(PathIndexConfig o)

      Specified by:
        `compareTo` in interface `Comparable<PathIndexConfig>`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`